# -*- encoding: utf-8 -*-
# stub: google-cloud-talent-v4 0.4.0 ruby lib

Gem::Specification.new do |s|
  s.name = "google-cloud-talent-v4".freeze
  s.version = "0.4.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Google LLC".freeze]
  s.date = "2023-09-05"
  s.description = "Transform your job search and candidate matching capabilities with Cloud Talent Solution, designed to support enterprise talent acquisition technology and evolve with your growing needs. This AI solution includes features such as Job Search and Profile Search to provide candidates and employers with an enhanced talent acquisition experience. Note that google-cloud-talent-v4 is a version-specific client library. For most uses, we recommend installing the main client library google-cloud-talent instead. See the readme for more details.".freeze
  s.email = "googleapis-packages@google.com".freeze
  s.files = [".yardopts".freeze, "AUTHENTICATION.md".freeze, "LICENSE.md".freeze, "README.md".freeze, "lib/google-cloud-talent-v4.rb".freeze, "lib/google/cloud/talent/v4.rb".freeze, "lib/google/cloud/talent/v4/common_pb.rb".freeze, "lib/google/cloud/talent/v4/company_pb.rb".freeze, "lib/google/cloud/talent/v4/company_service.rb".freeze, "lib/google/cloud/talent/v4/company_service/client.rb".freeze, "lib/google/cloud/talent/v4/company_service/credentials.rb".freeze, "lib/google/cloud/talent/v4/company_service/paths.rb".freeze, "lib/google/cloud/talent/v4/company_service_pb.rb".freeze, "lib/google/cloud/talent/v4/company_service_services_pb.rb".freeze, "lib/google/cloud/talent/v4/completion.rb".freeze, "lib/google/cloud/talent/v4/completion/client.rb".freeze, "lib/google/cloud/talent/v4/completion/credentials.rb".freeze, "lib/google/cloud/talent/v4/completion/paths.rb".freeze, "lib/google/cloud/talent/v4/completion_service_pb.rb".freeze, "lib/google/cloud/talent/v4/completion_service_services_pb.rb".freeze, "lib/google/cloud/talent/v4/event_pb.rb".freeze, "lib/google/cloud/talent/v4/event_service.rb".freeze, "lib/google/cloud/talent/v4/event_service/client.rb".freeze, "lib/google/cloud/talent/v4/event_service/credentials.rb".freeze, "lib/google/cloud/talent/v4/event_service/paths.rb".freeze, "lib/google/cloud/talent/v4/event_service_pb.rb".freeze, "lib/google/cloud/talent/v4/event_service_services_pb.rb".freeze, "lib/google/cloud/talent/v4/filters_pb.rb".freeze, "lib/google/cloud/talent/v4/histogram_pb.rb".freeze, "lib/google/cloud/talent/v4/job_pb.rb".freeze, "lib/google/cloud/talent/v4/job_service.rb".freeze, "lib/google/cloud/talent/v4/job_service/client.rb".freeze, "lib/google/cloud/talent/v4/job_service/credentials.rb".freeze, "lib/google/cloud/talent/v4/job_service/operations.rb".freeze, "lib/google/cloud/talent/v4/job_service/paths.rb".freeze, "lib/google/cloud/talent/v4/job_service_pb.rb".freeze, "lib/google/cloud/talent/v4/job_service_services_pb.rb".freeze, "lib/google/cloud/talent/v4/tenant_pb.rb".freeze, "lib/google/cloud/talent/v4/tenant_service.rb".freeze, "lib/google/cloud/talent/v4/tenant_service/client.rb".freeze, "lib/google/cloud/talent/v4/tenant_service/credentials.rb".freeze, "lib/google/cloud/talent/v4/tenant_service/paths.rb".freeze, "lib/google/cloud/talent/v4/tenant_service_pb.rb".freeze, "lib/google/cloud/talent/v4/tenant_service_services_pb.rb".freeze, "lib/google/cloud/talent/v4/version.rb".freeze, "proto_docs/README.md".freeze, "proto_docs/google/api/field_behavior.rb".freeze, "proto_docs/google/api/resource.rb".freeze, "proto_docs/google/cloud/talent/v4/common.rb".freeze, "proto_docs/google/cloud/talent/v4/company.rb".freeze, "proto_docs/google/cloud/talent/v4/company_service.rb".freeze, "proto_docs/google/cloud/talent/v4/completion_service.rb".freeze, "proto_docs/google/cloud/talent/v4/event.rb".freeze, "proto_docs/google/cloud/talent/v4/event_service.rb".freeze, "proto_docs/google/cloud/talent/v4/filters.rb".freeze, "proto_docs/google/cloud/talent/v4/histogram.rb".freeze, "proto_docs/google/cloud/talent/v4/job.rb".freeze, "proto_docs/google/cloud/talent/v4/job_service.rb".freeze, "proto_docs/google/cloud/talent/v4/tenant.rb".freeze, "proto_docs/google/cloud/talent/v4/tenant_service.rb".freeze, "proto_docs/google/longrunning/operations.rb".freeze, "proto_docs/google/protobuf/any.rb".freeze, "proto_docs/google/protobuf/duration.rb".freeze, "proto_docs/google/protobuf/empty.rb".freeze, "proto_docs/google/protobuf/field_mask.rb".freeze, "proto_docs/google/protobuf/timestamp.rb".freeze, "proto_docs/google/protobuf/wrappers.rb".freeze, "proto_docs/google/rpc/status.rb".freeze, "proto_docs/google/type/latlng.rb".freeze, "proto_docs/google/type/money.rb".freeze, "proto_docs/google/type/postal_address.rb".freeze, "proto_docs/google/type/timeofday.rb".freeze]
  s.homepage = "https://github.com/googleapis/google-cloud-ruby".freeze
  s.licenses = ["Apache-2.0".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.5".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "API Client library for the Cloud Talent Solution V4 API".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<gapic-common>.freeze, ["~> 0.4"])
    s.add_runtime_dependency(%q<google-cloud-errors>.freeze, ["~> 1.0"])
    s.add_development_dependency(%q<google-style>.freeze, ["~> 1.25.1"])
    s.add_development_dependency(%q<minitest>.freeze, ["~> 5.14"])
    s.add_development_dependency(%q<minitest-focus>.freeze, ["~> 1.1"])
    s.add_development_dependency(%q<minitest-rg>.freeze, ["~> 5.2"])
    s.add_development_dependency(%q<rake>.freeze, [">= 12.0"])
    s.add_development_dependency(%q<redcarpet>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<simplecov>.freeze, ["~> 0.18"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.9"])
  else
    s.add_dependency(%q<gapic-common>.freeze, ["~> 0.4"])
    s.add_dependency(%q<google-cloud-errors>.freeze, ["~> 1.0"])
    s.add_dependency(%q<google-style>.freeze, ["~> 1.25.1"])
    s.add_dependency(%q<minitest>.freeze, ["~> 5.14"])
    s.add_dependency(%q<minitest-focus>.freeze, ["~> 1.1"])
    s.add_dependency(%q<minitest-rg>.freeze, ["~> 5.2"])
    s.add_dependency(%q<rake>.freeze, [">= 12.0"])
    s.add_dependency(%q<redcarpet>.freeze, ["~> 3.0"])
    s.add_dependency(%q<simplecov>.freeze, ["~> 0.18"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.9"])
  end
end
